org.keycloak.representations.idm.authorization

## Class AuthorizationRequest

- java.lang.Object
- - org.keycloak.representations.idm.authorization.AuthorizationRequest

- Direct Known Subclasses:
    AuthorizationTokenService.KeycloakAuthorizationRequest

      public class AuthorizationRequest
      extends Object

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthorizationRequest.Metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationRequest()`
    `AuthorizationRequest(String ticket)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPermission(String resourceId, List<String> scopes)`
    `void` | `addPermission(String resourceId, String... scopes)`
    `String` | `getAudience()`
    `Map<String,List<String>>` | `getClaims()`
    `String` | `getClaimToken()`
    `String` | `getClaimTokenFormat()`
    `AuthorizationRequest.Metadata` | `getMetadata()`
    `String` | `getPct()`
    `PermissionTicketToken` | `getPermissions()`
    `AccessToken` | `getRpt()`
    `String` | `getRptToken()`
    `String` | `getScope()`
    `String` | `getSubjectToken()`
    `String` | `getTicket()`
    `boolean` | `isSubmitRequest()`
    `void` | `setAudience(String audience)`
    `void` | `setClaims(Map<String,List<String>> claims)`
    `void` | `setClaimToken(String claimToken)`
    `void` | `setClaimTokenFormat(String claimTokenFormat)`
    `void` | `setMetadata(AuthorizationRequest.Metadata metadata)`
    `void` | `setPct(String pct)`
    `void` | `setPermissions(PermissionTicketToken permissions)`
    `void` | `setRpt(AccessToken rpt)`
    `void` | `setRpt(String rpt)`
    `void` | `setScope(String scope)`
    `void` | `setSubjectToken(String subjectToken)`
    `void` | `setSubmitRequest(boolean submitRequest)`
    `void` | `setTicket(String ticket)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationRequest

          public AuthorizationRequest(String ticket)

    - #### AuthorizationRequest

          public AuthorizationRequest()

  - ### Method Detail

    - #### getTicket

          public String getTicket()

    - #### setTicket

          public void setTicket(String ticket)

    - #### getRpt

          public AccessToken getRpt()

    - #### setRpt

          public void setRpt(AccessToken rpt)

    - #### setRpt

          public void setRpt(String rpt)

    - #### getRptToken

          public String getRptToken()

    - #### setClaimToken

          public void setClaimToken(String claimToken)

    - #### getClaimToken

          public String getClaimToken()

    - #### setClaimTokenFormat

          public void setClaimTokenFormat(String claimTokenFormat)

    - #### getClaimTokenFormat

          public String getClaimTokenFormat()

    - #### setPct

          public void setPct(String pct)

    - #### getPct

          public String getPct()

    - #### setScope

          public void setScope(String scope)

    - #### getScope

          public String getScope()

    - #### setPermissions

          public void setPermissions(PermissionTicketToken permissions)

    - #### getPermissions

          public PermissionTicketToken getPermissions()

    - #### getMetadata

          public AuthorizationRequest.Metadata getMetadata()

    - #### setMetadata

          public void setMetadata(AuthorizationRequest.Metadata metadata)

    - #### setAudience

          public void setAudience(String audience)

    - #### getAudience

          public String getAudience()

    - #### setSubjectToken

          public void setSubjectToken(String subjectToken)

    - #### getSubjectToken

          public String getSubjectToken()

    - #### getClaims

          public Map<String,List<String>> getClaims()

    - #### setClaims

          public void setClaims(Map<String,List<String>> claims)

    - #### addPermission

          public void addPermission(String resourceId,
                                    List<String> scopes)

    - #### addPermission

          public void addPermission(String resourceId,
                                    String... scopes)

    - #### setSubmitRequest

          public void setSubmitRequest(boolean submitRequest)

    - #### isSubmitRequest

          public boolean isSubmitRequest()

Copyright © 2021 JBoss by Red Hat. All rights reserved.